#[doc = "Register `ST6` reader"]
pub struct R(crate::R<ST6_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<ST6_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<ST6_SPEC>> for R {
    fn from(reader: crate::R<ST6_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `ST6` writer"]
pub struct W(crate::W<ST6_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<ST6_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<ST6_SPEC>> for W {
    fn from(writer: crate::W<ST6_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `ST` reader - Status register"]
pub struct ST_R(crate::FieldReader<u8, u8>);
impl ST_R {
    pub(crate) fn new(bits: u8) -> Self {
        ST_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for ST_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl R {
    #[doc = "Bits 0:7 - Status register"]
    #[inline(always)]
    pub fn st(&self) -> ST_R {
        ST_R::new((self.bits & 0xff) as u8)
    }
}
impl W {
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Status Register\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [st6](index.html) module"]
pub struct ST6_SPEC;
impl crate::RegisterSpec for ST6_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [st6::R](R) reader structure"]
impl crate::Readable for ST6_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [st6::W](W) writer structure"]
impl crate::Writable for ST6_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets ST6 to value 0"]
impl crate::Resettable for ST6_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
